<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Cancel_Planning StructType
 * @subpackage Structs
 */
class Cancel_Planning extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The PlanningItemSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\PlanningItemSelection
     */
    public $PlanningItemSelection;
    /**
     * Constructor method for Cancel_Planning
     * @uses Cancel_Planning::setLogin()
     * @uses Cancel_Planning::setPlanningItemSelection()
     * @param \StructType\Login $login
     * @param \StructType\PlanningItemSelection $planningItemSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\PlanningItemSelection $planningItemSelection = null)
    {
        $this
            ->setLogin($login)
            ->setPlanningItemSelection($planningItemSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Cancel_Planning
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get PlanningItemSelection value
     * @return \StructType\PlanningItemSelection|null
     */
    public function getPlanningItemSelection()
    {
        return $this->PlanningItemSelection;
    }
    /**
     * Set PlanningItemSelection value
     * @param \StructType\PlanningItemSelection $planningItemSelection
     * @return \StructType\Cancel_Planning
     */
    public function setPlanningItemSelection(\StructType\PlanningItemSelection $planningItemSelection = null)
    {
        $this->PlanningItemSelection = $planningItemSelection;
        return $this;
    }
}
